Computed style of an element whose parent's 'display' value is 'none':
    background-attachment: scroll
    background-clip: border-box
    background-color: rgb(0, 128, 0)
    background-image: none
    background-origin: padding-box
    background-position: 0% 0%
    background-repeat: repeat
    background-size: auto auto
    border-bottom-color: rgb(0, 0, 0)
    border-bottom-left-radius: 0px
    border-bottom-right-radius: 0px
    border-bottom-style: none
    border-bottom-width: 0px
    border-collapse: separate
    border-left-color: rgb(0, 0, 0)
    border-left-style: none
    border-left-width: 0px
    border-right-color: rgb(0, 0, 0)
    border-right-style: none
    border-right-width: 0px
    border-top-color: rgb(0, 0, 0)
    border-top-left-radius: 0px
    border-top-right-radius: 0px
    border-top-style: solid
    border-top-width: 16px
    bottom: auto
    caption-side: top
    clear: none
    clip: auto
    color: rgb(0, 0, 0)
    cursor: auto
    direction: ltr
    display: block
    empty-cells: show
    float: none
    font-family: Times
    font-size: 16px
    font-style: normal
    font-variant: normal
    font-weight: normal
    height: 100px
    left: auto
    letter-spacing: normal
    line-height: normal
    list-style-image: none
    list-style-position: outside
    list-style-type: disc
    margin-bottom: 0px
    margin-left: auto
    margin-right: 0px
    margin-top: 0px
    max-height: none
    max-width: none
    min-height: 0px
    min-width: 0px
    opacity: 1
    orphans: 2
    outline-color: rgb(0, 0, 0)
    outline-style: none
    outline-width: 0px
    overflow-x: visible
    overflow-y: visible
    padding-bottom: 0px
    padding-left: 0px
    padding-right: 0px
    padding-top: 0px
    page-break-after: auto
    page-break-before: auto
    page-break-inside: auto
    pointer-events: auto
    position: static
    resize: none
    right: auto
    table-layout: auto
    text-align: auto
    text-decoration: none
    text-indent: 0px
    text-rendering: auto
    text-shadow: none
    text-overflow: clip
    text-transform: none
    top: auto
    unicode-bidi: normal
    vertical-align: baseline
    visibility: visible
    white-space: normal
    widows: 2
    width: 50%
    word-break: normal
    word-spacing: 0px
    word-wrap: normal
    z-index: auto
    zoom: 1
    -webkit-animation-delay: 0s
    -webkit-animation-direction: normal
    -webkit-animation-duration: 0s
    -webkit-animation-iteration-count: 1
    -webkit-animation-name: none
    -webkit-animation-play-state: running
    -webkit-animation-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1)
    -webkit-appearance: none
    -webkit-backface-visibility: visible
    -webkit-background-clip: border-box
    -webkit-background-composite: source-over
    -webkit-background-origin: padding-box
    -webkit-background-size: auto auto
    -webkit-border-fit: border
    -webkit-border-horizontal-spacing: 0px
    -webkit-border-image: none
    -webkit-border-vertical-spacing: 0px
    -webkit-box-align: stretch
    -webkit-box-direction: normal
    -webkit-box-flex: 0
    -webkit-box-flex-group: 1
    -webkit-box-lines: single
    -webkit-box-ordinal-group: 1
    -webkit-box-orient: horizontal
    -webkit-box-pack: start
    -webkit-box-reflect: none
    -webkit-box-shadow: none
    -webkit-box-sizing: content-box
    -webkit-color-correction: default
    -webkit-column-break-after: auto
    -webkit-column-break-before: auto
    -webkit-column-break-inside: auto
    -webkit-column-count: auto
    -webkit-column-gap: normal
    -webkit-column-rule-color: rgb(0, 0, 0)
    -webkit-column-rule-style: none
    -webkit-column-rule-width: 0px
    -webkit-column-width: auto
    -webkit-font-smoothing: auto
    -webkit-highlight: none
    -webkit-line-break: normal
    -webkit-line-clamp: none
    -webkit-margin-bottom-collapse: collapse
    -webkit-margin-top-collapse: collapse
    -webkit-marquee-direction: auto
    -webkit-marquee-increment: 6px
    -webkit-marquee-repetition: infinite
    -webkit-marquee-style: scroll
    -webkit-mask-attachment: scroll
    -webkit-mask-box-image: none
    -webkit-mask-clip: border-box
    -webkit-mask-composite: source-over
    -webkit-mask-image: none
    -webkit-mask-origin: border-box
    -webkit-mask-position: 0% 0%
    -webkit-mask-repeat: repeat
    -webkit-mask-size: auto auto
    -webkit-nbsp-mode: normal
    -webkit-perspective: none
    -webkit-perspective-origin: 50% 50%
    -webkit-rtl-ordering: logical
    -webkit-text-decorations-in-effect: none
    -webkit-text-fill-color: rgb(0, 0, 0)
    -webkit-text-security: none
    -webkit-text-stroke-color: rgb(0, 0, 0)
    -webkit-text-stroke-width: 0px
    -webkit-transform: none
    -webkit-transform-origin: 50% 50%
    -webkit-transform-style: flat
    -webkit-transition-delay: 0s
    -webkit-transition-duration: 0s
    -webkit-transition-property: all
    -webkit-transition-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1)
    -webkit-user-drag: auto
    -webkit-user-modify: read-only
    -webkit-user-select: text
    clip-path: none
    clip-rule: nonzero
    mask: none
    filter: none
    flood-color: rgb(0, 0, 0)
    flood-opacity: 1
    lighting-color: rgb(255, 255, 255)
    stop-color: rgb(0, 0, 0)
    stop-opacity: 1
    color-interpolation: srgb
    color-interpolation-filters: linearrgb
    color-rendering: auto
    fill: #000000
    fill-opacity: 1
    fill-rule: nonzero
    image-rendering: auto
    marker-end: none
    marker-mid: none
    marker-start: none
    shape-rendering: auto
    stroke: none
    stroke-dasharray: 
    stroke-dashoffset: 
    stroke-linecap: butt
    stroke-linejoin: miter
    stroke-miterlimit: 4
    stroke-opacity: 1
    stroke-width: 
    alignment-baseline: auto
    baseline-shift: baseline
    dominant-baseline: auto
    kerning: 
    text-anchor: start
    writing-mode: lr-tb
    glyph-orientation-horizontal: 0deg
    glyph-orientation-vertical: auto
    -webkit-shadow: none
    background-position-x: 0%
    background-position-y: 0%
    border-spacing: 0px 0px
    overflow: visible
    -webkit-mask-position-x: 0%
    -webkit-mask-position-y: 0%
    -webkit-match-nearest-mail-blockquote-color: normal
    -webkit-text-size-adjust: auto

After changing grandparent's 'color' and the parent's 'font-size' inherited properties:
    border-top-width: 18px
    color: rgb(0, 0, 255)

After changing the parent's 'display' property to 'block', so that the child gets a renderer:
    height: 100px
    margin-left: 385px
    width: 384px

After changing the parent's 'display' property back to 'none':
    height: 100px
    margin-left: auto
    width: 50%


